> ## Documentation Index
> Fetch the complete documentation index at: https://help.eazybe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Medya yükle

> Medya yükle. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.



## OpenAPI

````yaml tr/api-reference/meta/openapi.json POST /meta/phone-numbers/{phoneNumberId}/media
openapi: 3.1.0
info:
  title: Eazybe Meta API Katmanı
  version: 1.0.0
  description: >-
    WhatsApp Business Cloud API için kimlik doğrulamalı tek bir Eazybe REST
    yüzeyi.
servers:
  - url: https://cerberus.eazybe.com/staging/api/v2
    description: Bu yer tutucuyu ortamınıza atanmış Eazybe API sunucusuyla değiştirin.
security:
  - bearerAuth: []
tags:
  - name: Telefon numaraları
    description: Bağlı WABA ve telefon numarası kimliklerini bulun.
  - name: Mesajlaşma
    description: WhatsApp mesajları gönderin ve mesaj durumunu güncelleyin.
  - name: Şablonlar
    description: WhatsApp mesaj şablonlarını yönetin.
  - name: Medya
    description: WhatsApp medya dosyalarını yükleyin, görüntüleyin ve silin.
  - name: Webhook'lar
    description: Bir WABA'nın webhook aboneliklerini yönetin.
  - name: Analizler
    description: Mesajlaşma, konuşma, fiyatlandırma ve şablon analizlerini görüntüleyin.
  - name: Profiller ve ayarlar
    description: İşletme profillerini ve telefon numarası ayarlarını yönetin.
  - name: Otomasyon
    description: Karşılama mesajlarını, başlangıç sorularını ve komutları yapılandırın.
  - name: QR kodları
    description: Sohbete yönlendiren QR kodlarını yönetin.
  - name: Flows
    description: WhatsApp Flows yaşam döngüsünü yönetin.
  - name: Numara yönetimi
    description: >-
      Numaraları kaydedin, PIN'leri yönetin ve birlikte kullanım verilerini
      eşitleyin.
  - name: Engellenenler listesi
    description: WhatsApp kullanıcılarını listeleyin, engelleyin ve engellerini kaldırın.
paths:
  /meta/phone-numbers/{phoneNumberId}/media:
    post:
      tags:
        - Medya
      summary: Medya yükle
      description: >-
        Medya yükle. Bu işlem için parametreleri, örneği ve kullanılabilir
        yanıtları inceleyin.
      operationId: uploadMedia
      parameters:
        - $ref: '#/components/parameters/PhoneNumberId'
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
              description: >-
                ```bash

                curl -X POST
                "https://cerberus.eazybe.com/meta/phone-numbers/5647382910/media"
                \
                  -H "Authorization: Bearer <jwt>" \
                  -F "file=@invoice.pdf"
                ```
      responses:
        '200':
          description: >-
            Media uploaded


            **Failure responses**


            | **Status** | **Meaning** | **Action** |

            | --- | --- | --- |

            | `401` | Missing, invalid, or expired bearer token |
            Re-authenticate |

            | `404` | `phoneNumberId` not linked to your organization | Verify
            the id |

            | `400` | Unsupported MIME type or file over WhatsApp's size limit
            (image 5 MB, document 100 MB, video/audio 16 MB) | Re-encode or
            compress |

            | `500` | No `file` field in the multipart body | Send as
            `multipart/form-data` with field `file` |

            | `502` | Graph unreachable or timed out | Retry with backoff |
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                properties:
                  id:
                    type: string
              example:
                id: '1234567890123456'
components:
  parameters:
    PhoneNumberId:
      name: phoneNumberId
      in: path
      required: true
      description: >-
        `GET /meta/phone-numbers` tarafından döndürülen telefon numarası
        kimliği.
      schema:
        type: string
      example: '5647382910'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Eazybe token
      description: >-
        Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli
        tutulmalıdır.

````